Subject: Re: [mpls] Questions and comments on draft-ietf-mpls-rsvp-egress-protection-01.txt

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 4 Nov 2015 20:52:27 +0000

Hi Huaimo,

Did not realize this has been moved to teas, which I did not follow.

I see there have been some updates to the draft but I have not got a chance to review to see if my original concerns are addressed.

I will try to review this when I get a chance.

Jeffrey

> -----Original Message-----
> From: Huaimo Chen [mailto:[email-masked]]
> Sent: Monday, October 06, 2014 10:37 PM
> To: Jeffrey (Zhaohui) Zhang <[email-masked]>
> Cc: [email-masked]
> Subject: RE: Questions and comments on draft-ietf-mpls-rsvp-egress-
> protection-01.txt
> 
> Hi Jeffrey,
> 
>     Thanks for your comments!
>     My answers/explanations are inline below.
> 
> Best Regards,
> Huaimo
> -----Original Message-----
> From: Jeffrey (Zhaohui) Zhang [mailto:[email-masked]]
> Sent: Monday, October 06, 2014 9:13 AM
> To: Huaimo Chen
> Cc: [email-masked]
> Subject: RE: Questions and comments on draft-ietf-mpls-rsvp-egress-
> protection-01.txt
> 
> Huaimo,
> 
> ... snipped ...
> 
> > My point is that, what's proposed in this draft can't really work,
> > because while the backup can learn the label relayed by the PLR, it
> > still does not know what to do with it. Until you have a separate
> > document to spell out that separate mechanism, there is no point for
> > this spec to relay the label.
> >
> > Huaimo: It seems that the alternative option proposed may work. The UA
> > label with the forwarding information in TLV may be relayed to the
> > backup egress. RSVP on the backup egress can pass the UA label with
> > the information to a separated component handling the UA label. In
> > fact, RSVP just relays the UA label and related information. The
> > processing on UA label is done by the separated component outside of
> RSVP.
> 
> Currently the draft does not specify that forwarding information is
> relayed to the backup egress. I don't see how the backup egress know what
> to do when it receives the packets w/o additional signaling. If you do
> specify the mechanisms and procedures in a separate spec on how that can
> be done, then it's fine; but until you do so, it should not be mentioned
> here. Chances are that, once you have a separate mechanism, you may not
> need the PLT to relay any more.
> 
> Huaimo: It seems that TLVs under the UA label are mentioned in the draft.
> They may contain the forwarding information, which may be opaque to RSVP.
> 
> > It's the same amount of information configured, either all on the
> > ingress PE or separated on all egress PEs. The latter will have much
> > lower signaling head.
> >
> > Huaimo: It seems that there are more configurations. For example, we
> > may need to configure one-to-one protection or facility protection for
> > protecting the egresses of a P2MP LSP on every egress of the P2MP LSP
> > if we limit egress protection configuration to the egresses
> 
> The draft currently signals pairs of primary/egress from the ingress. That
> means configuration is needed for each egress anyway (though it's on
> ingress). If you do the configuration on egress, it's still the same
> amount, and you spare the transit routers from having to process the extra
> signaling.
> 
> Jeffrey